# @oracle/oraclejet-preact-icons

This package contains all of the Redwood icons available as Preact components.

## Usage

Import the icons using the form

```javascript
import { Accessibility } from '@oracle/oraclejet-preact-icons/UNSAFE_RedwoodIcons/Accessibility';
```

And use them in your Preact app with

```html
<div><Accessibility accessibleLabel={"My accessible label"} /></div>
```

## Bundlers

Depending on the bundler you use, importing and resolving the icons should _just work_, however, there
are older bundlers that may need some additional configuration.

For instance, Webpack 4 will require additional mappings to locate the code:

```javascript
module.exports = {
  resolve: {
    alias: {
      '@oracle/oraclejet-preact-icons': '@oracle/oraclejet-preact-icons/es',
      '@oracle/oraclejet-preact/UNSAFE_Icon$': '@oracle/oraclejet-preact/es/UNSAFE_Icon.js',
      '@oracle/oraclejet-preact': '@oracle/oraclejet-preact/es'
    }
  }
};
```
